summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2016-11-28 21:33:46 +0100
committerAlexis Ballier <aballier@gentoo.org>2016-11-28 21:33:46 +0100
commitba73d28f815715f5da6bdcd86ccb5c4b52a7926e (patch)
treeaae77041d5317759321edd54d6f028c3f2406e5a /www-servers
parentdev-ml/tyxml: fix build with uutf 1.0 (diff)
downloadgentoo-ba73d28f815715f5da6bdcd86ccb5c4b52a7926e.tar.gz
gentoo-ba73d28f815715f5da6bdcd86ccb5c4b52a7926e.tar.bz2
gentoo-ba73d28f815715f5da6bdcd86ccb5c4b52a7926e.zip
www-servers/ocsigenserver: add postgres useflag, bug #601100
Package-Manager: portage-2.3.2
Diffstat (limited to 'www-servers')
-rw-r--r--www-servers/ocsigenserver/ocsigenserver-2.8.ebuild6
-rw-r--r--www-servers/ocsigenserver/ocsigenserver-9999.ebuild6
2 files changed, 8 insertions, 4 deletions
diff --git a/www-servers/ocsigenserver/ocsigenserver-2.8.ebuild b/www-servers/ocsigenserver/ocsigenserver-2.8.ebuild
index 1d0abdc3876..dc1f8375141 100644
--- a/www-servers/ocsigenserver/ocsigenserver-2.8.ebuild
+++ b/www-servers/ocsigenserver/ocsigenserver-2.8.ebuild
@@ -21,8 +21,8 @@ HOMEPAGE="http://www.ocsigen.org"
LICENSE="LGPL-2.1-with-linking-exception"
SLOT="0/${PV}"
-IUSE="debug doc dbm +ocamlopt +sqlite zlib"
-REQUIRED_USE="|| ( sqlite dbm )"
+IUSE="debug doc dbm +ocamlopt +sqlite zlib postgres"
+REQUIRED_USE="|| ( sqlite dbm postgres )"
RESTRICT="strip installsources"
DEPEND=">=dev-ml/lwt-2.5.0:=[react,ssl]
@@ -34,6 +34,7 @@ DEPEND=">=dev-ml/lwt-2.5.0:=[react,ssl]
>=dev-ml/tyxml-4:=[camlp4(+)]
>=dev-lang/ocaml-3.12:=[ocamlopt?]
dev-ml/ocaml-ipaddr:=
+ postgres? ( dev-ml/pgocaml:= )
dbm? ( dev-ml/camldbm:= )
sqlite? ( dev-ml/ocaml-sqlite3:= )"
RDEPEND="${DEPEND}"
@@ -55,6 +56,7 @@ src_configure() {
$(use_with zlib camlzip) \
$(use_with sqlite) \
$(use_with dbm) \
+ $(use_with postgres pgsql) \
--with-preempt \
--ocsigen-group ocsigenserver \
--ocsigen-user ocsigenserver \
diff --git a/www-servers/ocsigenserver/ocsigenserver-9999.ebuild b/www-servers/ocsigenserver/ocsigenserver-9999.ebuild
index 1d0abdc3876..dc1f8375141 100644
--- a/www-servers/ocsigenserver/ocsigenserver-9999.ebuild
+++ b/www-servers/ocsigenserver/ocsigenserver-9999.ebuild
@@ -21,8 +21,8 @@ HOMEPAGE="http://www.ocsigen.org"
LICENSE="LGPL-2.1-with-linking-exception"
SLOT="0/${PV}"
-IUSE="debug doc dbm +ocamlopt +sqlite zlib"
-REQUIRED_USE="|| ( sqlite dbm )"
+IUSE="debug doc dbm +ocamlopt +sqlite zlib postgres"
+REQUIRED_USE="|| ( sqlite dbm postgres )"
RESTRICT="strip installsources"
DEPEND=">=dev-ml/lwt-2.5.0:=[react,ssl]
@@ -34,6 +34,7 @@ DEPEND=">=dev-ml/lwt-2.5.0:=[react,ssl]
>=dev-ml/tyxml-4:=[camlp4(+)]
>=dev-lang/ocaml-3.12:=[ocamlopt?]
dev-ml/ocaml-ipaddr:=
+ postgres? ( dev-ml/pgocaml:= )
dbm? ( dev-ml/camldbm:= )
sqlite? ( dev-ml/ocaml-sqlite3:= )"
RDEPEND="${DEPEND}"
@@ -55,6 +56,7 @@ src_configure() {
$(use_with zlib camlzip) \
$(use_with sqlite) \
$(use_with dbm) \
+ $(use_with postgres pgsql) \
--with-preempt \
--ocsigen-group ocsigenserver \
--ocsigen-user ocsigenserver \